import Picker from '../picker.vue';
import DatePickerPanel from '../panel/Date/date.vue';


export default {
    name: 'CalendarPicker',
    mixins: [Picker],
    props: {
        type: {
            default: 'date'
        },
        information: {
            type: Array,
            default() {
                return [];
            }
        },
        calendarWidth: {
            type: String,
            default() {
                return {

                };
            }
        },
        onPanelDateChange: {
            type: Function,
            default() {
                return {};
            }
        }
    },
    components: { DatePickerPanel },
    computed: {
        panel() {
            return 'DatePickerPanel';
        },
        ownPickerProps() {
            return this.options;
        }
    },
};
